package WEB-INF.classes.wenrgise.hrms.businessdelegate;

import java.rmi.RemoteException;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;
import javax.ejb.CreateException;
import wenrgise.common.bean.BaseHeaderBean;
import wenrgise.common.exception.EnrgiseApplicationException;
import wenrgise.common.exception.EnrgiseSystemException;
import wenrgise.common.utility.EnrgiseUtil;
import wenrgise.common.utility.RecordMetaInfo;
import wenrgise.common.vo.BaseQueryVO;
import wenrgise.common.vo.ThisPageVO;
import wenrgise.ejb.common.utility.ServiceLocator;
import wenrgise.hrms.bean.HrmEmpPersDtlsBean;
import wenrgise.hrms.bean.HrmEmpPersHdrBean;
import wenrgise.hrms.businessdelegate.HrmBaseBD;
import wenrgise.hrms.ejb.facade.HrmFacade;
import wenrgise.hrms.ejb.facade.HrmFacadeHome;
import wenrgise.hrms.ejb.facade.HrmSecondFacade;
import wenrgise.hrms.ejb.facade.HrmSecondFacadeHome;
import wenrgise.hrms.vo.HrmEmpPersQVO;

public class HrmEmpPersBD extends HrmBaseBD {
  public RecordMetaInfo getHeaderMetaImpl(BaseQueryVO oQueryVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmFacadeHome oHome = (HrmFacadeHome)ServiceLocator.getLocator().getService("HrmFacade");
      HrmFacade oHrmFacade = oHome.create();
      return oHrmFacade.getHrmEmpPersHdrMetaInfo((HrmEmpPersQVO)oQueryVO);
    } catch (RemoteException oRe) {
      throw new EnrgiseSystemException(oRe);
    } catch (CreateException oCrt) {
      throw new EnrgiseSystemException(oCrt);
    } 
  }
  
  public ArrayList getHeaderRecordImpl(BaseQueryVO oQueryVO, long lStartPosition, long lLastPosition) throws RemoteException, EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmFacadeHome oHome = (HrmFacadeHome)ServiceLocator.getLocator().getService("HrmFacade");
      HrmFacade oHrmFacade = oHome.create();
      ArrayList oHeaderList = oHrmFacade.getHrmEmpPersHdrInfo((HrmEmpPersQVO)oQueryVO, lStartPosition, lLastPosition);
      return oHeaderList;
    } catch (RemoteException oRe) {
      throw new EnrgiseSystemException(oRe);
    } catch (CreateException oCrt) {
      throw new EnrgiseSystemException(oCrt);
    } 
  }
  
  public RecordMetaInfo getTotalDetailRecordCountImpl(String lPrimaryKey, String sScreenName) throws EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmFacadeHome oHome = (HrmFacadeHome)ServiceLocator.getLocator().getService("HrmFacade");
      HrmFacade oHrmFacade = oHome.create();
      HrmSecondFacadeHome oSecHome = (HrmSecondFacadeHome)ServiceLocator.getLocator().getService("HrmSecondFacade");
      HrmSecondFacade oHrmSecondFacade = oSecHome.create();
      if (sScreenName.equalsIgnoreCase("HrmEmpPersDtls"))
        return oHrmFacade.getHrmEmpPersDtlsMetaInfo(lPrimaryKey); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersAddDtls"))
        return oHrmFacade.getHrmEmpPersAddDtlsMetaInfo(lPrimaryKey); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersJoinInf"))
        return oHrmFacade.getHrmEmpPersJoinInfMetaInfo(lPrimaryKey); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersEduDtls"))
        return oHrmFacade.getHrmEmpPersEduDtlsMetaInfo(lPrimaryKey); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersPriorExp"))
        return oHrmFacade.getHrmEmpPersPriorExpMetaInfo(lPrimaryKey); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersPFDtls"))
        return oHrmFacade.getHrmEmpPersPFDtlsMetaInfo(lPrimaryKey); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersEmpHst"))
        return oHrmFacade.getHrmEmpPersEmpHistMetaInfo(lPrimaryKey); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersTrngDtls"))
        return oHrmFacade.getHrmEmpPersTrngDtlsMetaInfo(lPrimaryKey); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersAward"))
        return oHrmFacade.getHrmEmpPersAwardMetaInfo(lPrimaryKey); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersIns"))
        return oHrmFacade.getHrmEmpPersInsMetaInfo(lPrimaryKey); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersHealth"))
        return oHrmFacade.getHrmEmpPersHealthMetaInfo(lPrimaryKey); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersLng"))
        return oHrmFacade.getHrmEmpPersLngMetaInfo(lPrimaryKey); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersRef"))
        return oHrmFacade.getHrmEmpPersRefMetaInfo(lPrimaryKey); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersAsset"))
        return oHrmSecondFacade.getHrmEmpPersAssetMetaInfo(lPrimaryKey); 
      RecordMetaInfo obj = new RecordMetaInfo();
      return obj;
    } catch (RemoteException oRe) {
      throw new EnrgiseSystemException(oRe);
    } catch (CreateException oCrt) {
      throw new EnrgiseSystemException(oCrt);
    } 
  }
  
  public ArrayList getDetailRecordImpl(String lPrimaryKey, String sScreenName, long lAbsoluteStart, long lAbsoluteEnd) throws RemoteException, EnrgiseApplicationException, EnrgiseSystemException {
    try {
      HrmFacadeHome oHome = (HrmFacadeHome)ServiceLocator.getLocator().getService("HrmFacade");
      HrmFacade oHrmFacade = oHome.create();
      HrmSecondFacadeHome oSecHome = (HrmSecondFacadeHome)ServiceLocator.getLocator().getService("HrmSecondFacade");
      HrmSecondFacade oHrmSecondFacade = oSecHome.create();
      if (sScreenName.equalsIgnoreCase("HrmEmpPersDtls"))
        return oHrmFacade.getHrmEmpPersDtlsInfo(lPrimaryKey, lAbsoluteStart, lAbsoluteEnd); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersAddDtls"))
        return oHrmFacade.getHrmPersAddDtlsInfo(lPrimaryKey, lAbsoluteStart, lAbsoluteEnd); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersJoinInf"))
        return oHrmFacade.getHrmEmpPersJoinInfInfo(lPrimaryKey, lAbsoluteStart, lAbsoluteEnd); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersEduDtls"))
        return oHrmFacade.getHrmEmpPersEduDtlsInfo(lPrimaryKey, lAbsoluteStart, lAbsoluteEnd); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersPriorExp"))
        return oHrmFacade.getHrmEmpPersPriorExpInfo(lPrimaryKey, lAbsoluteStart, lAbsoluteEnd); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersPFDtls"))
        return oHrmFacade.getHrmEmpPersPFDtlsInfo(lPrimaryKey, lAbsoluteStart, lAbsoluteEnd); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersEmpHst"))
        return oHrmFacade.getHrmEmpPersEmpHistInfo(lPrimaryKey, lAbsoluteStart, lAbsoluteEnd); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersTrngDtls"))
        return oHrmFacade.getHrmEmpPersTrngDtlsInfo(lPrimaryKey, lAbsoluteStart, lAbsoluteEnd); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersAward"))
        return oHrmFacade.getHrmEmpPersAwardInfo(lPrimaryKey, lAbsoluteStart, lAbsoluteEnd); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersIns"))
        return oHrmFacade.getHrmEmpPersInsInfo(lPrimaryKey, lAbsoluteStart, lAbsoluteEnd); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersHealth"))
        return oHrmFacade.getHrmEmpPersHealthInfo(lPrimaryKey, lAbsoluteStart, lAbsoluteEnd); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersLng"))
        return oHrmFacade.getHrmEmpPersLngInfo(lPrimaryKey, lAbsoluteStart, lAbsoluteEnd); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersRef"))
        return oHrmFacade.getHrmEmpPersRefInfo(lPrimaryKey, lAbsoluteStart, lAbsoluteEnd); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersAsset"))
        return oHrmSecondFacade.getHrmEmpPersAssetInfo(lPrimaryKey, lAbsoluteStart, lAbsoluteEnd); 
      ArrayList obj = new ArrayList();
      return obj;
    } catch (RemoteException oRe) {
      throw new EnrgiseSystemException(oRe);
    } catch (CreateException oCrt) {
      throw new EnrgiseSystemException(oCrt);
    } 
  }
  
  public boolean updateHeaderRecordImpl(BaseHeaderBean oBaseHeaderBean) throws RemoteException, EnrgiseApplicationException, EnrgiseSystemException {
    return true;
  }
  
  public String saveImpl(BaseHeaderBean oBaseHeaderBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked) throws RemoteException, EnrgiseApplicationException, EnrgiseSystemException {
    oWhenPicked = oDetailPicked;
    try {
      HrmFacadeHome oHome = (HrmFacadeHome)ServiceLocator.getLocator().getService("HrmFacade");
      HrmFacade oHrmFacade = oHome.create();
      HrmSecondFacadeHome oSecHome = (HrmSecondFacadeHome)ServiceLocator.getLocator().getService("HrmSecondFacade");
      HrmSecondFacade oHrmSecondFacade = oSecHome.create();
      if (sScreenName.equalsIgnoreCase("HrmEmpPersDtls"))
        return oHrmFacade.saveHrmEmpPersDtls((HrmEmpPersHdrBean)oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked, this.oUserInfo); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersAddDtls"))
        return oHrmFacade.saveHrmEmpPersAddDtls((HrmEmpPersHdrBean)oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked, this.oUserInfo); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersJoinInf"))
        return oHrmFacade.saveHrmEmpPersJoinInf((HrmEmpPersHdrBean)oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked, this.oUserInfo); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersEmpHst"))
        return oHrmFacade.saveHrmEmpPersEmpHist((HrmEmpPersHdrBean)oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked, this.oUserInfo); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersPFDtls"))
        return oHrmFacade.saveHrmEmpPersPFDtls((HrmEmpPersHdrBean)oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked, this.oUserInfo); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersEduDtls"))
        return oHrmFacade.saveHrmEmpPersEduDtls((HrmEmpPersHdrBean)oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked, this.oUserInfo); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersPriorExp"))
        return oHrmFacade.saveHrmEmpPersPriorExp((HrmEmpPersHdrBean)oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked, this.oUserInfo); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersTrngDtls"))
        return oHrmFacade.saveHrmEmpPersTrngDtls((HrmEmpPersHdrBean)oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked, this.oUserInfo); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersAward"))
        return oHrmFacade.saveHrmEmpPersAward((HrmEmpPersHdrBean)oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked, this.oUserInfo); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersIns"))
        return oHrmFacade.saveHrmEmpPersIns((HrmEmpPersHdrBean)oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked, this.oUserInfo); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersHealth"))
        return oHrmFacade.saveHrmEmpPersHealth((HrmEmpPersHdrBean)oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked, this.oUserInfo); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersLng"))
        return oHrmFacade.saveHrmEmpPersLng((HrmEmpPersHdrBean)oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked, this.oUserInfo); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersRef"))
        return oHrmFacade.saveHrmEmpPersRef((HrmEmpPersHdrBean)oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked, this.oUserInfo); 
      if (sScreenName.equalsIgnoreCase("HrmEmpPersAsset"))
        return oHrmSecondFacade.saveHrmEmpPersAsset((HrmEmpPersHdrBean)oBaseHeaderBean, oWhenPicked, sScreenName, sScreenMode, bHeaderDataChanged, oDetailBeanArray, bDetailDataChanged, oDetailPicked, this.oUserInfo); 
    } catch (CreateException oCrt) {
      throw new EnrgiseSystemException(oCrt);
    } 
    return null;
  }
  
  public Map getDisabledFieldsImpl(ThisPageVO oThisPageVO) throws EnrgiseApplicationException, EnrgiseSystemException {
    HashMap oHashMap = new HashMap();
    ArrayList arylstEnab = new ArrayList();
    ArrayList arylstDisab = new ArrayList();
    HrmEmpPersHdrBean oHrmEmpPersHdrBean = (HrmEmpPersHdrBean)oThisPageVO.getOHeaderBean();
    arylstDisab.add("butDelete");
    if (oThisPageVO.getScreenMode().equals("Q"))
      if (oThisPageVO.getScreenName().equals("HrmEmpPersDtls")) {
        arylstDisab.add("sex");
        arylstDisab.add("guardianName");
        arylstDisab.add("mobile");
        arylstDisab.add("personalEmail");
        arylstDisab.add("placeOfBirth");
        arylstDisab.add("bloodGroup");
        arylstDisab.add("idMark");
        arylstDisab.add("dependants");
        arylstDisab.add("panNumber");
        arylstDisab.add("pfNumber");
        arylstDisab.add("girNumber");
        arylstDisab.add("passportNo");
        arylstDisab.add("drivingLicenseNo");
        arylstDisab.add("placeOfIssue");
        arylstDisab.add("validUpto");
        arylstDisab.add("spouseName");
        arylstDisab.add("spouseOccupation");
        arylstDisab.add("relatedToEmployee");
        arylstDisab.add("flat");
        arylstDisab.add("handicappedFlag");
        arylstDisab.add("butNationality");
        arylstDisab.add("butDateOfBirth");
        arylstDisab.add("butLocJoiningDate");
        arylstDisab.add("butLocation");
        arylstDisab.add("butDepartment");
        arylstDisab.add("butDesignation");
        arylstDisab.add("butReligion");
        arylstDisab.add("butMotherTongue");
        arylstDisab.add("butReportingEmployee");
        arylstDisab.add("butLastPromotionDate");
        arylstDisab.add("butRsvCtg");
        arylstDisab.add("butPassportIssueDate");
        arylstDisab.add("butPassportExpDate");
        arylstDisab.add("butValidUpto");
        arylstDisab.add("butMaritalStatus");
        arylstDisab.add("butRelatedEmployee");
        arylstDisab.add("butGrade");
        arylstDisab.add("butDraftSave");
        arylstDisab.add("butAnniversaryDate");
        arylstDisab.add("motherName");
        arylstDisab.add("tabAddDtls");
        arylstDisab.add("tabJoiningInfo");
        arylstDisab.add("tabEmpHist");
        arylstDisab.add("tabPriorExp");
        arylstDisab.add("tabEduDtls");
        arylstDisab.add("tabPFDtls");
        arylstDisab.add("tabTrngDtls");
        arylstDisab.add("tabAwardDtls");
        arylstDisab.add("tabInsDtls");
        arylstDisab.add("tabHealth");
        arylstDisab.add("tabLng");
        arylstDisab.add("tabRef");
      }  
    if (oThisPageVO.getScreenMode().equals("N"))
      if (oThisPageVO.getScreenName().equals("HrmEmpPersDtls")) {
        arylstDisab.add("sex");
        arylstDisab.add("guardianName");
        arylstDisab.add("placeOfBirth");
        arylstDisab.add("mobile");
        arylstDisab.add("personalEmail");
        arylstDisab.add("bloodGroup");
        arylstDisab.add("idMark");
        arylstDisab.add("dependants");
        arylstDisab.add("panNumber");
        arylstDisab.add("pfNumber");
        arylstDisab.add("girNumber");
        arylstDisab.add("passportNo");
        arylstDisab.add("drivingLicenseNo");
        arylstDisab.add("placeOfIssue");
        arylstDisab.add("validUpto");
        arylstDisab.add("spouseName");
        arylstDisab.add("spouseOccupation");
        arylstDisab.add("relatedToEmployee");
        arylstDisab.add("flat");
        arylstDisab.add("handicappedFlag");
        arylstDisab.add("butNationality");
        arylstDisab.add("butDateOfBirth");
        arylstDisab.add("butLocJoiningDate");
        arylstDisab.add("butLocation");
        arylstDisab.add("butDepartment");
        arylstDisab.add("butDesignation");
        arylstDisab.add("butGrade");
        arylstDisab.add("butReligion");
        arylstDisab.add("butMotherTongue");
        arylstDisab.add("butReportingEmployee");
        arylstDisab.add("butLastPromotionDate");
        arylstDisab.add("butRsvCtg");
        arylstDisab.add("butPassportIssueDate");
        arylstDisab.add("butPassportExpDate");
        arylstDisab.add("butValidUpto");
        arylstDisab.add("butMaritalStatus");
        arylstDisab.add("butRelatedEmployee");
        arylstDisab.add("butDraftSave");
        arylstDisab.add("butAnniversaryDate");
        arylstDisab.add("motherName");
      }  
    if (oThisPageVO.getScreenMode().equals("U")) {
      if (oThisPageVO.getScreenName().equals("HrmEmpPersAddDtls")) {
        arylstDisab.add("butJumpDetail");
        arylstDisab.add("newPageRequested");
        arylstDisab.add("butNextDetail");
        arylstDisab.add("butPrevDetail");
      } 
      if (oThisPageVO.getScreenName().equals("HrmEmpPersDtls"))
        if (oThisPageVO.getODetailList() != null) {
          HrmEmpPersDtlsBean oHrmEmpPersDtlsBean = oThisPageVO.getODetailList().get(0);
          arylstEnab.add("sex");
          arylstEnab.add("guardianName");
          arylstEnab.add("mobile");
          arylstEnab.add("personalEmail");
          arylstEnab.add("placeOfBirth");
          arylstEnab.add("bloodGroup");
          arylstEnab.add("idMark");
          arylstEnab.add("dependants");
          arylstEnab.add("panNumber");
          arylstEnab.add("pfNumber");
          arylstEnab.add("girNumber");
          arylstEnab.add("passportNo");
          arylstEnab.add("drivingLicenseNo");
          arylstEnab.add("placeOfIssue");
          arylstEnab.add("validUpto");
          arylstEnab.add("flat");
          arylstEnab.add("tabAddDtls");
          arylstEnab.add("tabJoiningInfo");
          arylstEnab.add("tabEmpHist");
          arylstEnab.add("tabPriorExp");
          arylstEnab.add("tabEduDtls");
          arylstEnab.add("tabPFDtls");
          arylstEnab.add("tabTrngDtls");
          arylstDisab.add("tabAwardDtls");
          arylstDisab.add("tabInsDtls");
          arylstDisab.add("tabHealth");
          arylstDisab.add("tabLng");
          arylstEnab.add("tabRef");
          if (EnrgiseUtil.checkString(oHrmEmpPersDtlsBean.getMaritalStatus())) {
            if (oHrmEmpPersDtlsBean.getMaritalCode().equalsIgnoreCase("M")) {
              arylstEnab.add("spouseName");
              arylstEnab.add("spouseOccupation");
            } else {
              arylstDisab.add("spouseName");
              arylstDisab.add("spouseOccupation");
            } 
          } else {
            arylstDisab.add("spouseName");
            arylstDisab.add("spouseOccupation");
          } 
          arylstEnab.add("relatedToEmployee");
          arylstEnab.add("handicappedFlag");
          arylstEnab.add("butNationality");
          arylstEnab.add("butGrade");
          arylstEnab.add("butDateOfBirth");
          arylstEnab.add("butLocJoiningDate");
          arylstEnab.add("butLocation");
          arylstEnab.add("butDepartment");
          arylstEnab.add("butDesignation");
          arylstEnab.add("butReligion");
          arylstEnab.add("butMotherTongue");
          arylstEnab.add("butReportingEmployee");
          arylstEnab.add("butLastPromotionDate");
          arylstEnab.add("butRsvCtg");
          arylstEnab.add("butPassportIssueDate");
          arylstEnab.add("butPassportExpDate");
          arylstEnab.add("butValidUpto");
          arylstEnab.add("butMaritalStatus");
          arylstEnab.add("butRelatedEmployee");
          arylstEnab.add("butAnniversaryDate");
        } else {
          arylstDisab.add("sex");
          arylstDisab.add("guardianName");
          arylstDisab.add("mobile");
          arylstDisab.add("personalEmail");
          arylstDisab.add("placeOfBirth");
          arylstDisab.add("bloodGroup");
          arylstDisab.add("idMark");
          arylstDisab.add("dependants");
          arylstDisab.add("panNumber");
          arylstDisab.add("pfNumber");
          arylstDisab.add("girNumber");
          arylstDisab.add("passportNo");
          arylstDisab.add("drivingLicenseNo");
          arylstDisab.add("placeOfIssue");
          arylstDisab.add("validUpto");
          arylstDisab.add("spouseName");
          arylstDisab.add("spouseOccupation");
          arylstDisab.add("relatedToEmployee");
          arylstDisab.add("flat");
          arylstDisab.add("handicappedFlag");
          arylstDisab.add("butNationality");
          arylstDisab.add("butDateOfBirth");
          arylstDisab.add("butLocJoiningDate");
          arylstDisab.add("butLocation");
          arylstDisab.add("butDepartment");
          arylstDisab.add("butDesignation");
          arylstDisab.add("butGrade");
          arylstDisab.add("butReligion");
          arylstDisab.add("butMotherTongue");
          arylstDisab.add("butReportingEmployee");
          arylstDisab.add("butLastPromotionDate");
          arylstDisab.add("butRsvCtg");
          arylstDisab.add("butPassportIssueDate");
          arylstDisab.add("butPassportExpDate");
          arylstDisab.add("butValidUpto");
          arylstDisab.add("butMaritalStatus");
          arylstDisab.add("butRelatedEmployee");
          arylstDisab.add("butAnniversaryDate");
          arylstDisab.add("tabAddDtls");
          arylstDisab.add("tabJoiningInfo");
          arylstDisab.add("tabEmpHist");
          arylstDisab.add("tabPriorExp");
          arylstDisab.add("tabEduDtls");
          arylstDisab.add("tabPFDtls");
          arylstDisab.add("tabTrngDtls");
          arylstDisab.add("tabAwardDtls");
          arylstDisab.add("tabInsDtls");
          arylstDisab.add("tabHealth");
          arylstDisab.add("tabLng");
          arylstDisab.add("tabRef");
        }  
    } 
    oHashMap.put("E", arylstEnab);
    oHashMap.put("D", arylstDisab);
    return oHashMap;
  }
  
  public String submitImpl(String sButtonName, BaseHeaderBean oBaseHeaderBean, Timestamp oWhenPicked, String sScreenName, String sScreenMode, boolean bHeaderDataChanged, ArrayList oDetailBeanArray, boolean bDetailDataChanged, Timestamp oDetailPicked) throws RemoteException, EnrgiseApplicationException, EnrgiseSystemException {
    return new String("");
  }
  
  public String getInsertDataImpl(BaseQueryVO oQueryVO) throws RemoteException, EnrgiseApplicationException, EnrgiseSystemException {
    return new String();
  }
}
